Subject: bug#68695: [bug-diffutils] bug#68695: Please, fix documentation on whitespace in pathnames

From: Matěj Cepl <[email-masked]>
Date: Sun, 05 Jan 2025 19:46:26 +0100

On Sun Jan 5, 2025 at 6:44 PM CET, Jim Meyering wrote:
> So at the very least, I'll adjust the documentation to reflect the above.
> Hoping that I can also soon say that upstream GNU patch handles these
> encoded names.

I would like just to emphasize that there are two distinct cases:
yes, filenames with $'\n' or $'\t' are really weird and unusual,
but filenames with a space are rather common. Even normal cpython
had (until recently: they apparently capitulated and replaced
spaces with underscores) directory
https://github.com/python/cpython/tree/3.9/Misc/NEWS.d/next/Core%20and%20Builtins,
which is part of every commit to the “Core and Builtins”
component of the Python interpreter.

-- 
http://matej.ceplovi.cz/blog/, @[email-masked]
GPG Finger: 3C76 A027 CA45 AD70 98B5  BC1D 7920 5802 880B C9D8
 
So many time, the attitude of my heart is: “God, just tell us
what to do so we can do it…without you.” Independently.
  -- Gretchen Konnevik: On Josh Harris, Homeschooling, and
     Spiritual Formulas; https://wp.me/p69TD5-1Xv